CExtrusivePtr.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <algorithm>`

Go to the source code of this file.

## Classes

class | polybori::CExtrusivePtr< DataType, ValueType >
| This template class defines a reimplementation of the interface from boost:intrusive_ptr, but with an additional data field. More...

## Namespaces

| polybori

## Functions

template<class Data1 , class Type1 , class Data2 , class Type2 >
bool | polybori::operator== (const CExtrusivePtr< Data1, Type1 > &lhs, const CExtrusivePtr< Data2, Type2 > &rhs)
| Equality check. More...
template<class Data1 , class Type1 , class Data2 , class Type2 >
bool | polybori::operator!= (const CExtrusivePtr< Data1, Type1 > &lhs, const CExtrusivePtr< Data2, Type2 > &rhs)
| Nonequality check. More...
template<class Data1 , class Type1 , class Type2 >
bool | polybori::operator== (const CExtrusivePtr< Data1, Type1 > &lhs, Type2 *rhs)
| Equality check wrt. pointer. More...
template<class Data1 , class Type1 , class Type2 >
bool | polybori::operator!= (const CExtrusivePtr< Data1, Type1 > &lhs, Type2 *rhs)
| Nonequality check wrt. pointer. More...
template<class Type1 , class Data2 , class Type2 >
bool | polybori::operator== (Type1 *lhs, const CExtrusivePtr< Data2, Type2 > &rhs)
| Equality check from a pointer. More...
template<class Type1 , class Data2 , class Type2 >
bool | polybori::operator!= (Type1 *lhs, const CExtrusivePtr< Data2, Type2 > &rhs)
| Nonequality check from a pointer. More...

## Detailed Description

Author
  Alexander Dreyer

Date
  2010-08-24

This is essentially a reimplementation of the interface from boost:intrusive_ptr, but with an additional field for storing data, which might be used .

Copyright:
  (c) 2010 by The PolyBoRi Team